Bluetooth: Do not enforce ASHA for TV, Wear, Auto am: a5b2e45b4f am: 4f05b9cdd2

Original change: https://googleplex-android-review.googlesource.com/c/platform/test/cts-root/+/23162441

Change-Id: I0c6f6538b93b7e509d11c4b0fdc7631cee354ef8
Signed-off-by: Automerger Merge Worker <android-build-automerger-merge-worker@system.gserviceaccount.com>
diff --git a/tests/bluetooth/src/android/bluetooth/cts_root/BluetoothCddRootTest.java b/tests/bluetooth/src/android/bluetooth/cts_root/BluetoothCddRootTest.java
index 97504e8..41e8433 100644
--- a/tests/bluetooth/src/android/bluetooth/cts_root/BluetoothCddRootTest.java
+++ b/tests/bluetooth/src/android/bluetooth/cts_root/BluetoothCddRootTest.java
@@ -114,11 +114,18 @@
         // TODO: Enforce LE data length extension
     }
 
-    @CddTest(requirements = {"7.4.3/C-3-6"})
+    @CddTest(requirements = {"7.4.3/H-1-1"})
     @Test
-    public void test_C_5_1_AshaRequirements() {
+    public void test_H_1_1_AshaRequirements() {
         Assume.assumeTrue(mHasBluetooth);
-        Assume.assumeTrue(TestUtils.isBleSupported(mContext));
+        Assume.assumeTrue("Skip 7.4.3/H-1-1 test for non-BLE devices",
+                TestUtils.isBleSupported(mContext));
+        Assume.assumeFalse("Skip 7.4.3/H-1-1 test for automotive devices",
+                TestUtils.isAutomotive(mContext));
+        Assume.assumeFalse("Skip 7.4.3/H-1-1 test for watch devices",
+                TestUtils.isWatch(mContext));
+        Assume.assumeFalse("Skip 7.4.3/H-1-1 test for TV devices",
+                TestUtils.isTv(mContext));
         AtomsProto.BluetoothLocalVersionsReported version = getBluetoothVersion();
         Assume.assumeTrue(version.hciVersion >= BLUETOOTH_CORE_SPECIFICATION_5_0);
         assertThat(BTAdapterUtils.enableAdapter(mAdapter, mContext)).isTrue();